Bug 1732101 - RGW Multisite Sync Log trimming == high latency on client OPs
Summary: RGW Multisite Sync Log trimming == high latency on client OPs
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RGW-Multisite
Version: 3.2
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: z1
: 3.3
Assignee: Matt Benjamin (redhat)
QA Contact: Tejas
Bara Ancincova
URL:
Whiteboard:
Depends On:
Blocks: 1726135 1762931
TreeView+ depends on / blocked
 
Reported: 2019-07-22 17:31 UTC by Michael J. Kidd
Modified: 2019-11-11 08:03 UTC (History)
8 users (show)

Fixed In Version: RHEL: ceph-12.2.12-68.el7cp Ubuntu: ceph_12.2.12-61redhat1
Doc Type: Bug Fix
Doc Text:
.Enhanced log trimming Previously, the `radosgw-admin datalog trim` and `radosgw-admin mdlog trim` commands trimmed only 1000 entries. This was inconvenient when doing extended log trimming. With this update, the aforementioned commands loop until no log records are available to trim.
Clone Of:
: 1762931 (view as bug list)
Environment:
Last Closed: 2019-10-22 13:29:03 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Ceph Project Bug Tracker 41045 None None None 2019-08-01 14:08:19 UTC
Github ceph ceph pull 29448 'None' closed rgw: datalog/mdlog trim commands loop until done 2020-02-24 21:20:46 UTC
Red Hat Bugzilla 1723524 'medium' 'ASSIGNED' 'Scaling enhancements for automated bilog trimming' 2019-12-09 08:09:37 UTC
Red Hat Knowledge Base (Solution) 4243581 Performance tune None Ceph - RGW Multisite Sync Log trimming Tuning 2019-07-22 17:49:33 UTC
Red Hat Product Errata RHBA-2019:3173 None None None 2019-10-22 13:29:26 UTC

Comment 24 errata-xmlrpc 2019-10-22 13:29:03 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:3173


Note You need to log in before you can comment on or make changes to this bug.